summaryrefslogtreecommitdiff
path: root/irbox.init
diff options
context:
space:
mode:
Diffstat (limited to 'irbox.init')
-rwxr-xr-xirbox.init46
1 files changed, 46 insertions, 0 deletions
diff --git a/irbox.init b/irbox.init
new file mode 100755
index 0000000..04d83f2
--- /dev/null
+++ b/irbox.init
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# irbox: Starts the irbox Ivy agent
+#
+# Version: @(#) /etc/rc.d/init.d/irbox.init 1.0
+#
+# chkconfig: - 98 02
+# description: This is a daemon that drives an Irman infra-red device and \
+# emits its events on an Ivy bus
+# processname: irbox
+# config: /etc/irbox.conf
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Infra-red Ivy driver... "
+ daemon irbox
+ echo
+ touch /var/lock/subsys/irbox
+ ;;
+ stop)
+ echo -n "Shutting down Infra-red Ivy driver: "
+ killproc irbox
+ rm -f /var/lock/subsys/ypbind
+ echo
+ ;;
+ status)
+ status irbox
+ ;;
+ reload)
+ killproc -HUP irbox
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "*** Usage: irbox {start|stop|status|restart¦reload}"
+ exit 1
+esac
+
+exit 0
+